Subject: bug#79165: closed (Re: bug#79165: Archive Mode (arc-mode.el) not opening .zip files)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Aug 2025 11:36:02 +0000

Your bug report

#79165: Archive Mode (arc-mode.el) not opening .zip files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79165: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79165
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79165: Archive Mode (arc-mode.el) not opening .zip files
From: Eli Zaretskii <[email-masked]>
To: binarydigitz01 <[email-masked]>
Cc: [email-masked]
Date: Sun, 03 Aug 2025 14:35:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 03 Aug 2025 11:00:54 +0000
> From: binarydigitz01 <[email-masked]>
> 
> I was working on another patch on the master branch of emacs, and while testing i encountered this, but after digging and a quick magit blame I realised this is one of the changes of emacs master branch, I should have tested my changes after building emacs instead of relying on my unstable emacs, my bad!

OK, thanks.  Now it's clear.  We indeed made this change on the master
branch, where incf is a macro.

So I'm closing this bug.

Subject: Archive Mode (arc-mode.el) not opening .zip files
From: binarydigitz01 <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 03 Aug 2025 09:52:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I found a bug in arc-mode.el which makes it unable to open zip files, on
further analysis i found it was using incf instead of cl-incf. It is now
able to open .zip files and works as expected. I have attached a patch that fixes it.

In GNU Emacs 30.1.90 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
version 1.18.4, Xaw3d scroll bars)
Repository revision: emacs-30.1.90
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12401008
System Description: NixOS 25.11 (Xantusia)

Configured using:
 'configure
 --prefix=/nix/store/21npjyrbq3m495h63dsb7mj2kw69fg2z-emacs-unstable-30.1.90
 --disable-build-details --with-modules --with-x-toolkit=lucid
 --with-cairo --without-xft --with-compress-install
 --with-toolkit-scroll-bars --with-native-compilation
 --without-imagemagick --with-mailutils --without-small-ja-dic
 --with-tree-sitter --with-xinput2 --without-xwidgets --with-dbus
 --with-selinux'
diff --git a/lisp/arc-mode.el b/lisp/arc-mode.el
index 10ff3871074..1827d9d0ef5 100644
--- a/lisp/arc-mode.el
+++ b/lisp/arc-mode.el
@@ -1699,7 +1699,7 @@ archive--summarize-descs
                        (t (+ (string-width uid) (string-width gid) 1)))))
             (if (> len maxidlen) (setq maxidlen len))))
         (let ((size (archive--file-desc-size desc)))
-          (incf totalsize size)
+          (cl-incf totalsize size)
           (if (> size maxsize) (setq maxsize size))))
       (let* ((sizelen (length (number-to-string maxsize)))
              (dash